Buy Singer Hair Clipper - SIN-RFC-1819 Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Singer Hair Clipper - SIN-RFC-1819

PRODUCT CODE: SIN-RFC-1819

0
0
0
0
0

Rs.5,399 Rs. 5,999

10.00% OFF

Reward Points Icon

Earn 27 RED points with this purchase More Info

Offer Icon

Offer - Extra 10% off (Price is inclusive of Discount)

Offer Icon

Pay in 3 X Rs. 1,800 with mint-pay koko

This product is out of stock in our website.
But, you can find a store near you to purchase offline.

Delivery - Standard 3 To 5 Working Days.

1 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.

Type Hair Clipper
Blade Material Stainless Steel Blade
Operating Time 90 Minutes
Charging Time 1.5 Hour
Battery Type Lithium 14500
Functions Operation From Rechargeable Batteries Or With Cable
Settings 10 Length Settings
Indicators Indicator Lamp While Working, Charging & Low Battery
Cutter Size 0.5mm - 9mm
Special Features Digital Display For Battery Level
Cable USB Charging Cable 
Voltage 100-240V
Accessories Lubricating Oil 1 PC, Comb 1 PC, Brush 1 PC, USB-C Charging Cable 1 PC, Nose Trimmer Head
Dimensions 18.5cm x 5.2cm x 14.5 Cm
Weight 295g
Other Information 1 Adjustable Comb With 19 Positions

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Singer Hand Carry Hair Dryer BY503
sale

SIN-BY503

0
0
0
0
0
Singer Hand Carry Hair Dryer BY503
Rs 4,049
Rs 4,499 10% Off
Singer Rechargeable Hair Clipper With Two Detachable Combs
sale

SIN-RFC-2012

0
0
0
0
0
Singer Rechargeable Hair Clipper With Two Det...
Rs 4,319
Rs 5,399 20% Off
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
sale

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off
Singer Hair Straightener BY605 - 35W

SIN-BY605

0
0
0
0
0
Singer Hair Straightener BY605 - 35W
Rs 4,499

Frequently Bought Items

Singer Rice Cooker 1L
sale

SRC-0510HS

0
0
0
0
0
Singer Rice Cooker 1L
Rs 6,934
Rs 7,299 5% Off
Prestige Ceramic Coating Non-Stick Cookware Fry Pan 24cm Ceraglide Grey - PCRG-FP24-442
sale

PCRG-FP24-442

0
0
0
0
0
Prestige Ceramic Coating Non-Stick Cookware F...
Rs 5,034
Rs 5,299 5% Off
Singer Digital 5L Air Fryer KA-AFT05014
sale

KA-AFT05014

0
0
0
0
0
Singer Digital 5L Air Fryer KA-AFT05014
Rs 18,999
Rs 23,999 20.83% Off
Global Tools Bike Lock - ATCBLGTTU - Medium (0.8 cm x 55 cm)

BY-ATCBLGTTU

0
0
0
0
0
Global Tools Bike Lock - ATCBLGTTU - Medium (...
Rs 1,599
Regnis Electric Kettle 1.8L
sale

REK-LJ18E

0
0
0
0
0
Regnis Electric Kettle 1.8L
Rs 4,749
Rs 4,999 5% Off
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products